Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo Class Reference

Indicators during video frame rendering progress. More...

## Public Attributes
int | elapsedTime
int | start2JoinChannel
int | join2JoinSuccess
int | joinSuccess2RemoteJoined
int | remoteJoined2SetView
int | remoteJoined2UnmuteVideo
int | remoteJoined2PacketReceived

## Detailed Description

Indicators during video frame rendering progress.

## Member Data Documentation

## ◆ elapsedTime

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.elapsedTime

The time interval (ms) from `startMediaRenderingTracing` to SDK triggering the `onVideoRenderingTracingResult` callback. Agora recommends you call `startMediaRenderingTracing` before joining a channel.

## ◆ start2JoinChannel

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.start2JoinChannel

The time interval (ms) from `startMediaRenderingTracing` to `joinChannel(String token, String channelId, String optionalInfo, int uid)` or `joinChannel(String token, String channelId, int uid, ChannelMediaOptions options)` . A negative number indicates that `startMediaRenderingTracing` is called after calling `joinChannel(String token, String channelId, int uid, ChannelMediaOptions options)`.

## ◆ join2JoinSuccess

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.join2JoinSuccess

The time interval (ms) from `joinChannel(String token, String channelId, String optionalInfo, int uid)` or `joinChannel(String token, String channelId, int uid, ChannelMediaOptions options)` to successfully joining the channel.

## ◆ joinSuccess2RemoteJoined

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.joinSuccess2RemoteJoined

- If the local user calls `startMediaRenderingTracing` before successfully joining the channel, this value is the time interval (ms) from the local user successfully joining the channel to the remote user joining the channel.
- If the local user calls `startMediaRenderingTracing` after successfully joining the channel, the value is the time interval (ms) from `startMediaRenderingTracing` to when the remote user joins the channel.
  Note
- If the local user calls `startMediaRenderingTracing` after the remote user joins the channel, the value is 0 and meaningless.
- In order to reduce the time of rendering the first frame for remote users, Agora recommends that the local user joins the channel when the remote user is in the channel to reduce this value.

## ◆ remoteJoined2SetView

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.remoteJoined2SetView

- If the local user calls `startMediaRenderingTracing` before the remote user joins the channel, this value is the time interval (ms) from when the remote user joins the channel to when the local user sets the remote view.
- If the local user calls `startMediaRenderingTracing` after the remote user joins the channel, this value is the time interval (ms) from calling `startMediaRenderingTracing` to setting the remote view.
  Note
- If the local user calls `startMediaRenderingTracing` after setting the remote view, the value is 0 and has no effect.
- In order to reduce the time of rendering the first frame for remote users, Agora recommends that the local user sets the remote view before the remote user joins the channel, or sets the remote view immediately after the remote user joins the channel to reduce this value.

## ◆ remoteJoined2UnmuteVideo

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.remoteJoined2UnmuteVideo

- If the local user calls `startMediaRenderingTracing` before the remote user joins the channel, this value is the time interval (ms) from the remote user joining the channel to subscribing to the remote video stream.
- If the local user calls `startMediaRenderingTracing` after the remote user joins the channel, this value is the time interval (ms) from `startMediaRenderingTracing` to subscribing to the remote video stream.
  Note
- If the local user calls `startMediaRenderingTracing` after subscribing to the remote video stream, the value is 0 and has no effect.
- In order to reduce the time of rendering the first frame for remote users, Agora recommends that after the remote user joins the channel, the local user immediately subscribes to the remote video stream to reduce this value.

## ◆ remoteJoined2PacketReceived

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.remoteJoined2PacketReceived

- If the local user calls `startMediaRenderingTracing` before the remote user joins the channel, this value is the time interval (ms) from when the remote user joins the channel to when the local user receives the remote video stream.
- If the local user calls `startMediaRenderingTracing` after the remote user joins the channel, this value is the time interval (ms) from `startMediaRenderingTracing` to receiving the remote video stream.
  Note
- If the local user calls `startMediaRenderingTracing` after receiving the remote video stream, the value is 0 and has no effect.
- In order to reduce the time of rendering the first frame for remote users, Agora recommends that the remote user publishes video streams immediately after joining the channel, and the local user immediately subscribes to remote video streams to reduce this value.